WordPress.org

Support

Support » Themes and Templates » Twenty Eleven » [Theme: Twenty Eleven] Deprecated Notices in 3.4 beta

[Theme: Twenty Eleven] Deprecated Notices in 3.4 beta

  • I know it’s a beta, just flagging just in case …. – I’m really hoping that the themes will get updated soon – maybe a ‘nightly build should include a 3.4 compatible version of the themes too ?

    I develop and test with all notices and warnings on (as I think should everyone), and I test using the default themes. In php 5.3 the notices and warnings are huge and super annoying.

    Notice: add_custom_background is deprecated since version 3.4! Use add_theme_support( ‘custom-background’, $args ) instead. in C:\wamp\www\wp\wp-includes\functions.php on line 2705

    Notice: add_custom_image_header is deprecated since version 3.4! Use add_theme_support( ‘custom-header’, $args ) instead. in C:\wamp\www\wp\wp-includes\functions.php on line 2705

    http://wordpress.org/extend/themes/twentyeleven/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Please repost your suggestion at this link:

    http://wordpress.org/support/forum/alphabeta

    It is important that development guys are aware of this problem.

    Thanks for the feedback.

    correct
    <span class=\"meta-nav\">&larr;</span> Previous
    Next <span class=\"meta-nav\">&rarr;</span>
    to
    <span class=\"meta-nav\">&larr; Previous</span>
    <span class=\"meta-nav\">Next &rarr;</span>

    Moderator Sergey Biryukov

    @sergeybiryukov

    WordPress Dev

    I’m really hoping that the themes will get updated soon

    They are already updated (and the latest versions are included in the nightly builds): http://core.trac.wordpress.org/ticket/20265

    Ok – thanks

    seems the beta tester plugin is not updating the themes too – downloaded the nighltly build separately and updated the themes that way.

    I read in the next version that we will be able to change the header and background setting to be more dynamic, header sizes, use images from media gallery etc: instead of uploading, so the $args would have been added for these calls.

    If the debugger is not active then there will be no error in older themes.

    You just need to update your theme or plugin to make it current, looks like we will be able to add our own values in functions.php.

    Header $args:

    $defaults = array(
    	'default-image' => '',
    	'random-default' => false,
    	'width' => 0,
    	'height' => 0,
    	'flex-height' => false,
    	'flex-width' => false,
    	'default-text-color' => '',
    	'header-text' => true,
    	'uploads' => true,
    	'wp-head-callback' => '',
    	'admin-head-callback' => '',
    	'admin-preview-callback' => '',
    );

    Background $args:

    $defaults = array(
    	'default-image' => '',
    	'default-color' => '',
    	'wp-head-callback' => '_custom_background_cb',
    	'admin-head-callback' => '',
    	'admin-preview-callback' => '',
    );

    Regards

    David

    Notice: add_custom_background is deprecated since version 3.4! Use add_theme_support( ‘custom-background’, $args ) instead. in C:\wamp\www\wp\wp-includes\functions.php on line 2705

    Notice: add_custom_image_header is deprecated since version 3.4! Use add_theme_support( ‘custom-header’, $args ) instead. in C:\wamp\www\wp\wp-includes\functions.php on line 2705

    See: http://codex.wordpress.org/Function_Reference/add_theme_support

    It’s still there in the full release of version 3.4

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Theme: Twenty Eleven] Deprecated Notices in 3.4 beta’ is closed to new replies.
Skip to toolbar